> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mobilerun.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Remove an action from a flow

> Remove a single action from a flow by its `flowActionId`. Returns 404 if the flow or flow action does not exist.



## OpenAPI

````yaml /api-reference/workflows.yaml delete /flows/{flowId}/actions/{flowActionId}
openapi: 3.1.0
info:
  title: Workflows
  version: v1
servers:
  - url: https://api.mobilerun.ai
    description: Droidrun Cloud API
security:
  - bearerAuth: []
paths:
  /flows/{flowId}/actions/{flowActionId}:
    delete:
      tags:
        - Flows
      summary: Remove an action from a flow
      description: >-
        Remove a single action from a flow by its `flowActionId`. Returns 404 if
        the flow or flow action does not exist.
      operationId: removeFlowAction
      parameters:
        - schema:
            type: string
            format: uuid
          required: true
          name: flowId
          in: path
        - schema:
            type: string
            format: uuid
          required: true
          name: flowActionId
          in: path
      responses:
        '200':
          description: Flow action removed
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                required:
                  - message
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Mobilerun from '@mobilerun/sdk';


            const client = new Mobilerun({
              apiKey: process.env['MOBILERUN_CLOUD_API_KEY'], // This is the default and can be omitted
            });


            const action = await
            client.workflows.flows.actions.remove('182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
            {
              flowId: '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
            });


            console.log(action.message);
        - lang: Python
          source: |-
            import os
            from mobilerun_sdk import Mobilerun

            client = Mobilerun(
                api_key=os.environ.get("MOBILERUN_CLOUD_API_KEY"),  # This is the default and can be omitted
            )
            action = client.workflows.flows.actions.remove(
                flow_action_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
                flow_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
            )
            print(action.message)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/stainless-sdks/droidrun-cloud-go\"\n\t\"github.com/stainless-sdks/droidrun-cloud-go/option\"\n)\n\nfunc main() {\n\tclient := mobileruncloud.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\taction, err := client.Workflows.Flows.Actions.Remove(\n\t\tcontext.TODO(),\n\t\t\"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e\",\n\t\tmobileruncloud.WorkflowFlowActionRemoveParams{\n\t\t\tFlowID: \"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e\",\n\t\t},\n\t)\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", action.Message)\n}\n"
        - lang: CLI
          source: |-
            mobilerun-cloud workflows:flows:actions remove \
              --api-key 'My API Key' \
              --flow-id 182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e \
              --flow-action-id 182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: Opaque
      description: Bearer token via Authorization header

````